PostgreSQL 8.0.3 Documentation
Prev | Fast Backward |  | Fast Forward | Next

# DROP SCHEMA

## Name

DROP SCHEMA -- remove a schema

## Synopsis

    DROP SCHEMA name [, ...] [ CASCADE | RESTRICT ]

## Description

`DROP SCHEMA` removes schemas from the database.

A schema can only be dropped by its owner or a superuser. Note that the owner can drop the schema (and thereby all contained objects) even if he does not own some of the objects within the schema.

## Parameters

`name`

  The name of a schema.

`CASCADE`

  Automatically drop objects (tables, functions, etc.) that are contained in the schema.

`RESTRICT`

  Refuse to drop the schema if it contains any objects. This is the default.

## Examples

To remove schema `mystuff` from the database, along with everything it contains:

    DROP SCHEMA mystuff CASCADE;

## Compatibility

`DROP SCHEMA` is fully conforming with the SQL standard, except that the standard only allows one schema to be dropped per command.

## See Also

ALTER SCHEMA, CREATE SCHEMA

Prev | Home | Next
DROP RULE | Up | DROP SEQUENCE